{% extends "base.njk" %}

{% block content %}

<div ng-controller="recent_blocks">
    {% include "media/table.njk" %}
    <h3 >{{i18n.RecentBlocks}}</h3>
    <table id="block-table" class="blocks">
        <thead>
            <tr>
                <td class="height" >{{i18n.Height}}</td>
                <td class="size" >{{i18n.Size}}</td>
                <td class="time" >{{i18n.Time}}</td>
                <td class="txns" >{{i18n.Txns}}</td>
                <td class="generator" >{{i18n.Generator}}</td>
                <td class="reward" >{{i18n.Reward}}</td>
                <td class="version" >Version</td>
            </tr>
        </thead>
        <tbody id="block-list">
            <tr ng-if="blocks.length > 0" ng-repeat="block in blocks" class="${block.version == '2' ? 'forkv2' : 'forkv1'}">
                <td class="height"><a href="/${block.height}">${block.height}</a></td>
                <td class="size">${block.size}</td>
                <td class="time">${block.time|realstr}</td>
                <td class="txns">${block.transactions.length}</td>
                <td class="generator"><a href="/${block.generator}">${Users[block.generator] || block.generator}</a></td>
                <td class="reward"><span class="overview_blockHash strong">${block.reward} BLN</span></td>
                <td class="version">${block.version}</td>
            </tr>
            <tr ng-if="blocks.length == 0">
                <td colspan="6">
                    {% include "spinner.njk" %}
                </td>
            </tr>
        </tbody>
    </table>
</div>
{% endblock %}